## cdbs-dh7 0.4.62-maemo1

=== debian/changelog ===
cdbs-dh7 (0.4.62-maemo1) fremantle; urgency=low

  * Maemo port of latest Ubuntu lucid version, adapted to debhelper7
  * do not build documentation and remove unnecessary dependencies
  * remove lzma+ant test
  * add missing python.mk (missing in python package)

 -- Thomas Tanner <tanner@maemory.com>  Fri, 22 Jan 2010 00:00:00 +0100

cdbs (0.4.62+nmu1ubuntu4) lucid; urgency=low

  * 1/rules/utils.mk.in: add some text before listing missing file to make
    it more remarkable (LP: #509249)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 18 Jan 2010 18:32:40 +0100

cdbs (0.4.62+nmu1ubuntu3) lucid; urgency=low

  * 1/class/kde4.mk.in: Remove - Obsolete, broken, and not used (LP: #508520)
    - Also remove from Makefile.*

 -- Scott Kitterman <scott@kitterman.com>  Sat, 16 Jan 2010 22:10:33 -0500

cdbs (0.4.62+nmu1ubuntu2) lucid; urgency=low

  * 1/rules/langpack.mk.in: Strip X-GNOME-FullName fields, too. Thanks to
    David Planella! (LP: #453297)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 15 Nov 2009 06:54:19 -0600

cdbs (0.4.62+nmu1ubuntu1) lucid; urgency=low

  * Merge from debian unstable (LP: #414791), remaining changes:
    - 1/class/autotools-files.mk.in: Add -i option when calling libtoolize to
      install missing files. (Debian #525849)
    - 1/class/gnome.mk.in:
      + Include langpack.mk.
      + Check if $DEB_BUILDDIR actually exists before cd'ing to it.
    - Add 1/class/kde4.mk.in: Generic KDE4 build rules. Install it in
      Makefile.am.
    - 1/class/kde.mk.in:
      + Call dh_icons and bump autogenerated debhelper build dependency
        appropriately.
      + Add --without-arts to standard configure flags, since it is
        deprecated.
      + build POT file, and add X-Ubuntu-Gettext-Domain to .desktop files.
     - Add 1/rules/clean-la.mk.in: Remove dependency_libs lines from .la files.
       Install it in Makefile.am.
    - 1/rules/debhelper.mk.in:
      + Do not install upstream changelogs by default.  They are huge and thus
        waste a lot of archive and CD space, quite uninteresting for ordinary
        users, and easy to get by downloading the source package or visiting the
        upstream page pointed out in copyright.
      + Symlink /usr/share/doc/ files to identical versions in any depending
        package which is built by the source package (except copyright, to
        adhere to Debian Policy). This can be disabled by setting
        $CDBS_NO_DOC_SYMLINKING.
      + Symlink identical Gnome help files (like untranslated images). This
        can be disabled by setting $CDBS_NO_GNOME_HELP_SYMLINKING. Add fdupes
        dependency for this.
    - Add 1/rules/langpack.mk.in: Generic langpack related tasks: Build POT
      files, add X-Ubuntu-Gettext-Domain to .desktop/.server/.directory
      files, and strip translations from gconf schemas. Install file in
      Makefile.am. Add intltool dependency for this.
    - Add strip-schema.pl: Script to remove translations from gconf schemas.
      Install it in Makefile.am.
    - 1/rules/simple-patchsys.mk.in: Revert the change for Debian bug #387103
      that causes patches to be unapplied before cleaning the build directory;
      the original issue was addressed more thoroughly in 0.4.49 with a fix
      for Debian bug #424080, and unpatch-before-clean breaks some relevant
      use cases that involve patching of build systems. (Debian #494254)
    - scripts/cdbs-edit-patch: Add fallback if DEB_TAR_SRCDIR contains
      variables. (LP #137827)
    - 1/class/autotools-vars.mk: Apply patch from Peter Eisentraut to avoid
      setting CC and CXX if they have empty or default values, to ease
      cross-building.
    - test/testsuite_functions: Set NO_PKG_MANGLE so that tests do not fail
      with pkgstriptranslations installed.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 30 Oct 2009 15:34:56 +0100

cdbs (0.4.62+nmu1) unstable; urgency=low

  * Non-maintainer upload (reintroducing my Python related changes lost in
    0.4.62, closes: #549801)
  * use --install-purelib and --install-platlib instead of --install-lib
    (which has higher priority so overriding {pure,plat}lib wasn't possible)
  * Remove *.egg-info only in the current directory (closes: 507966)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 24 Oct 2009 16:04:52 +0200

cdbs (0.4.62) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Move source to collab-maint Git at Alioth. Update Vcs-* stanzas.
  * Fix detect exit code in for loops in python-distutils.mk. Closes:
    bug#546589.
  * Disable silent rules (introduced in automake 1.11) in autotools-
    vars.mk.  Closes: bug#551453, thanks to Josselin Mouette.

  [ Marc Dequènes (Duck) ]
  * Applied patch from Barry deFreese <bdefreese@debian.org> and Torsten
    Werner <twerner@debian.org> to migrate the Java class from kaffe
    (which is being removed) to default-jdk (Build-Depends, Depends,
    'test/ant-1.sh' test, and documentation were updated) (Closes:
    #547391).
  * Cleaned up .egg-info directories sometimes left over by Python
    distutils, as suggested by Evan Broder (Closes: #507966).
  * Stopped creating 'debian/pycompat' in the Python class if either XS-
    Python-Version or 'debian/pyversions' is set, as suggested by Loïc
    Minier (Closes: #512300).
  * Updated 'config.rpath' path to sync with gnulib changes (Closes:
    #510175).

  [ Peter Eisentraut ]
  * Updated standards version
  * Document more clearly that a build dependency on autotools-dev
    should be added to get config.{guess,sub} updates reliably

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 18 Oct 2009 15:12:10 +0200

cdbs (0.4.61+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * python-distutils.mk changes for Python >= 2.6 (closes: #537373):
    - hardcode "site-packages" using --install-lib (Python >=2.6 is using
      "dist-packages" by default)
    - add --prefix=/usr (Python >= 2.6 is using /usr/local by default)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 18 Sep 2009 22:54:47 +0200


