=== debian/control ===
Source: cdbs-dh7
Section: devel
Priority: optional
Maintainer: Thomas Tanner <tanner@maemory.com>
XSBC-Original-Maintainer: CDBS Hackers <build-common-hackers@lists.alioth.debian.org>
Build-Depends-Indep: debhelper (>= 5), graphviz, realpath, fakeroot, python-dev, python-all-dev, python-central, python-support, libxml2-utils, xsltproc, docbook-xml, docbook-xsl, sharutils
Uploaders: Jonas Smedegaard <dr@jones.dk>, Marc Dequènes (Duck) <Duck@DuckCorp.org>, Peter Eisentraut <petere@debian.org>
Standards-Version: 3.8.3
Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/cdbs/ubuntu

Package: cdbs-dh7
Architecture: all
Conflicts: build-common
Depends: debhelper7 (>= 7.0), fdupes, intltool
Conflicts: cdbs
Provides: cdbs
Recommends: autotools-dev
Suggests: devscripts, doc-base
Description: common build system for Debian packages
 This package contains the Common Debian Build System, an abstract
 build system based on Makefile inheritance which is completely
 extensible and overridable.  In other words, CDBS provides a sane set
 of default rules upon which packages can build; any or all rules may
 be overridden as needed.
